"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var _reactNative = require("react-native");

var _Icon = _interopRequireDefault(require("../icons/Icon"));

var _useColor = require("../utils/useColor");

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BaseButton = ({
  backgroundColor,
  text,
  icon,
  onPress
}) => {
  const {
    backgroundSecondary,
    fillPrimary
  } = (0, _useColor.useColor)();
  return /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: styles.container
  }, /*#__PURE__*/_react.default.createElement(_reactNative.TouchableWithoutFeedback, {
    onPress: onPress
  }, /*#__PURE__*/_react.default.createElement(_reactNative.View, {
    style: [styles.button, {
      backgroundColor: backgroundColor || backgroundSecondary
    }]
  }, /*#__PURE__*/_react.default.createElement(_Icon.default, {
    name: icon,
    size: 30
  }))), /*#__PURE__*/_react.default.createElement(_reactNative.Text, {
    style: [styles.text, {
      color: fillPrimary
    }]
  }, text));
};

const styles = _reactNative.StyleSheet.create({
  container: {
    alignItems: 'center'
  },
  button: {
    padding: 16,
    borderRadius: 18
  },
  text: {
    marginTop: 10,
    fontWeight: '600',
    maxWidth: 72,
    textAlign: 'center'
  }
});

var _default = BaseButton;
exports.default = _default;
//# sourceMappingURL=BaseButton.js.map