"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;

var _react = _interopRequireDefault(require("react"));

var Linking = _interopRequireWildcard(require("expo-linking"));

var _queryParams = require("../utils/queryParams");

var _BaseButton = _interopRequireDefault(require("./BaseButton"));

var _useTranslations = require("../localizations/useTranslations");

function _getRequireWildcardCache() { if (typeof WeakMap !== "function") return null; var cache = new WeakMap(); _getRequireWildcardCache = function _getRequireWildcardCache() { return cache; }; return cache; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

const BASE_URL = 'https://www.linkedin.com/shareArticle';

const LinkedIn = ({
  title,
  url,
  message
}) => {
  const {
    translate
  } = (0, _useTranslations.useLocalization)();

  const onPress = () => {
    const query = (0, _queryParams.getQueryString)({
      mini: 'true',
      url,
      title,
      summary: message
    });
    Linking.openURL(BASE_URL + query);
  };

  return /*#__PURE__*/_react.default.createElement(_BaseButton.default, {
    icon: "LinkedIn",
    text: translate('linkedIn'),
    onPress: onPress,
    backgroundColor: "#0e76a8"
  });
};

var _default = LinkedIn;
exports.default = _default;
//# sourceMappingURL=LinkedIn.js.map