"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getQueryString = exports.getQueryValue = void 0;

const getQueryValue = data => {
  if (Array.isArray(data)) {
    if (data.length === 0) {
      return undefined;
    }

    return data.join(',');
  }

  return data;
};

exports.getQueryValue = getQueryValue;

const getQueryString = query => {
  const qs = Object.keys(query).map(key => [key, getQueryValue(query[key])]).filter(pair => pair[0] !== null && pair[0] !== undefined && pair[1] !== null && pair[1] !== undefined).map(pair => pair.map(encodeURIComponent).join('=')).join('&');
  return qs && '?' + qs;
};

exports.getQueryString = getQueryString;
//# sourceMappingURL=queryParams.js.map