"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.useColor = void 0;

var _reactNativeAppearance = require("react-native-appearance");

const lightColor = {
  fillPrimary: 'black',
  fillSecondary: '#dedede',
  backgroundPrimary: 'white',
  backgroundSecondary: '#edf2f5'
};
const darkColor = {
  fillPrimary: 'white',
  fillSecondary: '#444',
  backgroundPrimary: '#222222',
  backgroundSecondary: '#444'
};

const useColor = () => {
  const colorScheme = (0, _reactNativeAppearance.useColorScheme)();
  return colorScheme === 'dark' ? darkColor : lightColor;
};

exports.useColor = useColor;
//# sourceMappingURL=useColor.js.map