import React from 'react';
import { View, Text, TouchableWithoutFeedback, StyleSheet } from 'react-native';
import Icon from '../icons/Icon';
import { useColor } from '../utils/useColor';

const BaseButton = ({
  backgroundColor,
  text,
  icon,
  onPress
}) => {
  const {
    backgroundSecondary,
    fillPrimary
  } = useColor();
  return /*#__PURE__*/React.createElement(View, {
    style: styles.container
  }, /*#__PURE__*/React.createElement(TouchableWithoutFeedback, {
    onPress: onPress
  }, /*#__PURE__*/React.createElement(View, {
    style: [styles.button, {
      backgroundColor: backgroundColor || backgroundSecondary
    }]
  }, /*#__PURE__*/React.createElement(Icon, {
    name: icon,
    size: 30
  }))), /*#__PURE__*/React.createElement(Text, {
    style: [styles.text, {
      color: fillPrimary
    }]
  }, text));
};

const styles = StyleSheet.create({
  container: {
    alignItems: 'center'
  },
  button: {
    padding: 16,
    borderRadius: 18
  },
  text: {
    marginTop: 10,
    fontWeight: '600',
    maxWidth: 72,
    textAlign: 'center'
  }
});
export default BaseButton;
//# sourceMappingURL=BaseButton.js.map