import React from 'react';
import * as MailComposer from 'expo-mail-composer';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';

const Mail = ({
  title,
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();

  const onPress = () => {
    MailComposer.composeAsync({
      subject: title,
      body: "".concat(message, " ").concat(url)
    });
  };

  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "Mail",
    onPress: onPress,
    text: translate('email')
  });
};

export default Mail;
//# sourceMappingURL=Mail.js.map