import React from 'react';
import * as Linking from 'expo-linking';
import * as SMS from 'expo-sms';
import BaseButton from './BaseButton';
import { useLocalization } from '../localizations/useTranslations';
import { Platform } from 'react-native';

const Sms = ({
  url,
  message
}) => {
  const {
    translate
  } = useLocalization();

  if (Platform.OS === 'web') {
    return null;
  }

  const onPress = async () => {
    const payload = "".concat(message, " ").concat(url);
    const isAvailable = await SMS.isAvailableAsync();

    if (isAvailable) {
      SMS.sendSMSAsync([], payload);
    } else {
      Linking.openURL("sms:&body=".concat(payload));
    }
  };

  return /*#__PURE__*/React.createElement(BaseButton, {
    icon: "Sms",
    text: translate('sms'),
    onPress: onPress,
    backgroundColor: "#53d769"
  });
};

export default Sms;
//# sourceMappingURL=Sms.js.map